"""
Copyright 2016 VMware, Inc.  All rights reserved.
-- VMware Confidential
"""

'''
This file provides the hooks which will be invoked during patching process.
'''
import logging
import vcsa_utils
from extensions import extend, Hook
logger = logging.getLogger(__name__)


@extend(Hook.Discovery)
def discover(ctx):
    logger.info("Performance Charts Service is discovered")
    return vcsa_utils.getComponentDiscoveryResult('perfcharts')

@extend(Hook.Patch)
def patch(ctx):
    logger.info("Patching Performance Charts Service")